t1_main:	in		r16, TCCR2
			sbrc	r16, 0				; Alarm
			rcall	clear_alarm			; stoppen
			sbrc	r16, 0				; wenn an
			rjmp	mainloop1			; und zurck springen
			; Wenn nicht an dann normal weiter
			rjmp	menu_selection		; spring zur Menuauswahl
;-----------------------------------------------------
t2_main:	in		r16, TCCR2
			sbrc	r16, 0				; Alarm
			rcall	clear_alarm			; stoppen
			sbrc	r16, 0				; wenn an
			rjmp	mainloop1			; und zurck springen
			; Wenn nicht an dann normal weiter
			ldi		r16, 1				; r16 mit 1 laden
			eor		alarm_activ, r16	; toggle Bit 0
			rjmp	mainloop1			; zurck ins Mainmenu
;----------------------------------------------------
;------------------------------------------------------
t1_menu_s:	in		r16, TCCR2
			sbrc	r16, 0				; Alarm
			rcall	clear_alarm			; stoppen
			sbrc	r16, 0			;	 wenn an
			rjmp	menu_selection1		; und zurck springen
			; Wenn nicht an dann normal weiter
			mov		r16, input
			andi	r16, 0b00001111			; nur untere Hlfte
			ldi		r30, low(menu_s_table)	; Adresse Sprungtabelle laden
			ldi		r31, high(menu_s_table)
			add		r30, r16				; Wert addieren
			ldi		r16, 0
			adc		r31, r16				; evtl. bertrag addieren
			ijmp							; springen			
;-----------------------------------------------------
t2_menu_s:	in		r16, TCCR2
			sbrc	r16, 0				; Alarm
			rcall	clear_alarm			; stoppen
			sbrc	r16, 0				; wenn an
			rjmp	menu_selection1		; und zurck springen
			; Wenn nicht an dann normal weiter
			rjmp	menu_selection		; weiter springen
;------------------------------------------------------
t1_alarm_a:	in		r16, TCCR2
			sbrc	r16, 0				; Alarm
			rcall	clear_alarm			; stoppen
			sbrc	r16, 0				; wenn an
			rjmp	alarm_adjust1		; und zurck springen
			; Wenn nicht an dann normal weiter
			mov		r16, input
			andi	r16, 0x0F						; nur unter Hlfte
			ldi		r30, low(alarm_time_tableII)	; Adresse Sprungtabelle laden
			ldi		r31, high(alarm_time_tableII)
			add		r30, r16						; Wert addieren
			ldi		r16, 0
			adc		r31, r16						; evtl. bertrag addieren
			ijmp				
			;-----------------------------------------
alarm_hourII:
			mov		r18, r17		
			rcall	EEWrite			; Wert in EEPROM schreiben
			rjmp	alarm_minute	; zu Minuten springen
			;---------------------------------------------
alarm_minuteII:
			mov		r18, r17
			rcall	EEWrite			; Wert in EEPROM schreiben
			rjmp	alarm_second	; zu Sekunden springen
			;---------------------------------------------
alarm_secondII:
			mov		r18, r17
			rcall	EEWrite			; Wert in EEPROM schreiben
			rjmp	mainloop0		; ins Mainmenu zurck springen
;--------------------------------------------------------
t2_alarm_a:	in		r16, TCCR2
			sbrc	r16, 0			; Alarm
			rcall	clear_alarm		; stoppen
			sbrc	r16, 0			; wenn an
			rjmp	alarm_adjust1	; und zurck springen
			; Wenn nicht an dann normal weiter
			mov		r16, input
			andi	r16, 0x0F		; nur untere Hlfte
			ldi		r30, low(alarm_time_tableI)	; Adresse Sprungtabelle laden
			ldi		r31, high(alarm_time_tableI)
			add		r30, r16		; Wert addieren
			ldi		r16, 0
			adc		r31, r16		; evtl. bertrag addieren
			ijmp				
			;-----------------------------------------
alarm_hourI:
			rcall	BCD_inc			; +1
			cpi		r17, 0x24		; mit 24 vergleichen
			brlo	alarm_hourI_1	; wenn kleiner dann weiter
			ldi		r17, 0			; sonst = 0
alarm_hourI_1:
			rjmp	alarm_hour1		; zurck
			;---------------------------------------------
alarm_minuteI:
			rcall	BCD_inc			; +1
			cpi		r17, 0x60		; mit 60 vergleichen
			brlo	alarm_minuteI_1	; wenn kleiner dann weiter
			ldi		r17, 0			; sonst = 0
alarm_minuteI_1:
			rjmp	alarm_minute1	; zurck
			;---------------------------------------------
alarm_secondI:
			rcall	BCD_inc			; +1
			cpi		r17, 0x60		; mit 60 vergleichen
			brlo	alarm_secondI_1	; wenn kleiner dann weiter
			ldi		r17, 0			; sonst = 0
alarm_secondI_1:
			rjmp	alarm_second1	; zurck
;-------------------------------------------------------------------
t1_time_a:	in		r16, TCCR2
			sbrc	r16, 0			; Alarm
			rcall	clear_alarm		; stoppen
			sbrc	r16, 0			; wenn an
			rjmp	time_adjust1	; und zurck springen
			; Wenn nicht an dann normal weiter
			mov		r16, input
			andi	r16, 0x0F				; nur untere Hlfte
			ldi		r30, low(time_tableII)	; Adresse Sprungtabelle laden
			ldi		r31, high(time_tableII)
			add		r30, r16		; Wert addieren
			ldi		r16, 0
			adc		r31, r16		; evtl. bertrag addieren
			ijmp					; springen
			;---------------------------------------------------------
time_yearII:mov		r16, r17
			rcall	putYear			; Jahr in RTC schreiben
			rjmp	time_month		; zu Monat springen
time_monthII:
			mov		r16, r17
			rcall	putMonth		; Monat in RTC schreiben
			rjmp	time_date		; zu Tag springen
time_dateII:	
			mov		r16, r17		
			rcall	putDate			; Tag in RTC schreiben
			rjmp	time_day		; zu Wochentag springen
time_dayII:
			mov		r16, r17
			rcall	putDay			; Wochentag in RTC schreiben
			rjmp	time_hour		; zu Stunde springen
time_hourII:
			mov		r16, r17		
			rcall	putHour			; Stunde in RTC schreiben
			rjmp	time_minute		; zu Minute springen
time_minuteII:
			mov		r16, r17
			rcall	putMinute		; Minute in RTC schreiben
			rjmp	time_second		; zu Sekunde sprigen
time_secondII:
			mov		r16, r17
			rcall	putSecond		; Sekunde in RTC schreiben
			rjmp	mainloop0		; ins Mainmenu zurck springen
;-----------------------------------------------------------------------
t2_time_a:	in		r16, TCCR2
			sbrc	r16, 0			; Alarm
			rcall	clear_alarm		; stoppen
			sbrc	r16, 0			; wenn an
			rjmp	time_adjust1	; und zurck springen
			; Wenn nicht an dann normal weiter
			mov		r16, input
			andi	r16, 0x0F				; nur unter Hlfte
			ldi		r30, low(time_tableI)	; Adresse Sprungtabelle laden
			ldi		r31, high(time_tableI)
			add		r30, r16		; Wert addieren
			ldi		r16, 0
			adc		r31, r16		; evtl. bertrag addieren
			ijmp					; springen
			;------------------------------
time_yearI:
			rcall	BCD_inc			; +1
			cpi		r17, 0xA0		; mit 100 vergleichen
			brlo	time_yearI_1	; wenn kleiner dann weiter
			ldi		r17, 0			; sonst = 0
time_yearI_1:
			rjmp	time_year1		; zurck
			;--------------------------
time_monthI:
			rcall	BCD_inc			; +1
			cpi		r17, 0x13		; mit 13 vergleichen
			brlo	time_monthI_1	; wenn kleiner dann weiter
			ldi		r17, 1			; sonst = 1
time_monthI_1:					
			rjmp	time_month1		; zurck
			;---------------------------------------------
time_dateI:
			rcall	BCD_inc			; +1
			cpi		r17, 0x32		; vergleichen mit 32
			brlo	time_dateI_1	; wenn kleiner dann weiter
			ldi		r17, 1			; sonst = 1
time_dateI_1:
			rjmp	time_date1		; zurck
			;---------------------------------------------
time_dayI:
			rcall	BCD_inc			; +1
			cpi		r17, 0x08		; vergleich mit 8
			brlo	time_dayI_1		; wenn kleiner dann weiter
			ldi		r17, 1			; sonst = 1
time_dayI_1:
			rjmp	time_day1		; zurck
			;---------------------------------------------
time_hourI:		
			rcall	BCD_inc			; +1
			cpi		r17, 0x24		; vergleichen mit 24
			brlo	time_hourI_1	; wenn kleiner dann weiter
			ldi		r17, 0			; sonst = 0
time_hourI_1:
			rjmp	time_hour1		; zurck
			;--------------------------
time_minuteI:	
			rcall	BCD_inc			; +1
			cpi		r17, 0x60		; vergleichen mit 60
			brlo	time_minuteI_1	; wenn kleiner dann weiter
			ldi		r17, 0			; sonst = 0
time_minuteI_1:
			rjmp	time_minute1	; zurck
			;-------------------------------------------
time_secondI:
			rcall	BCD_inc			; +1
			cpi		r17, 0x60		; vergleichen mit 60
			brlo	time_secondI_1	; wenn kleiner dann weiter
			ldi		r17, 0			; sonst = 0
time_secondI_1:
			rjmp	time_second1	; zurck
;------------------------------------------------------------------
